Get agent run
curl --request GET \
--url https://app.outlit.ai/api/agents/{agentId}/runs/{runId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.outlit.ai/api/agents/{agentId}/runs/{runId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.outlit.ai/api/agents/{agentId}/runs/{runId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ok": true,
"commandId": "<string>",
"commandVersion": 123,
"correlationId": "<string>",
"result": {
"operationId": "<string>",
"status": "<string>",
"resources": [
{
"type": "<string>",
"id": "<string>"
}
],
"data": {
"run": {
"id": "<string>",
"runId": "<string>",
"agentId": "<string>",
"summary": "<string>",
"errorSummary": "<string>",
"sandboxStatus": "<string>",
"startedAt": "2023-11-07T05:31:56Z",
"endedAt": "2023-11-07T05:31:56Z",
"durationMs": 1,
"counts": {
"candidates": 1,
"tools": 1,
"artifacts": 1,
"outputs": 1
},
"agentKey": "<string>",
"executionStrategy": "<string>",
"model": "<string>",
"thinkingLevel": "<string>",
"visibility": {
"hiddenCustomerCount": 1,
"hiddenOutputCount": 1,
"debugLedgerHidden": true
},
"triggerEvidence": {
"automationRunId": "<string>",
"policy": {
"requiredCount": 1,
"selectedCount": 1,
"matchedCount": 1
},
"selectedSignals": [
{
"id": "<string>",
"key": "<string>",
"name": "<string>",
"kind": "<string>"
}
],
"matchedSignals": [
{
"id": "<string>",
"key": "<string>",
"name": "<string>",
"kind": "<string>"
}
],
"window": {
"value": 2,
"startAt": "2023-11-07T05:31:56Z",
"endAt": "2023-11-07T05:31:56Z"
},
"primaryOccurrence": {
"id": "<string>",
"eventName": "<string>",
"eventChannel": "<string>",
"eventOccurredAt": "2023-11-07T05:31:56Z"
}
},
"candidates": [
{
"id": "<string>",
"customerId": "<string>",
"customerName": "<string>",
"customerDomain": "<string>",
"billingStatus": "<string>",
"lastActivityAt": "2023-11-07T05:31:56Z",
"candidateKey": "<string>",
"fingerprint": "<string>",
"outputId": "<string>",
"disposition": "<string>",
"surfaceReason": "<string>",
"reasons": [
"<string>"
],
"metrics": [
"<string>"
]
}
],
"outputs": [
{
"id": "<string>",
"contractType": "<string>",
"contractVersion": 2,
"error": "<string>",
"processedAt": "2023-11-07T05:31:56Z",
"deliveredAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"notificationCount": 1,
"referencedCandidateCount": 1,
"referencedCandidateIds": [
"<string>"
],
"titles": [
"<string>"
],
"markdownPreviews": [
"<string>"
],
"deliverySummary": "<string>",
"actions": [
{
"id": "<string>",
"label": "<string>",
"url": "<string>"
}
]
}
],
"toolCalls": [
{
"id": "<string>",
"toolName": "<string>",
"error": "<string>",
"startedAt": "2023-11-07T05:31:56Z",
"endedAt": "2023-11-07T05:31:56Z",
"latencyMs": 1,
"inputSummary": "<string>",
"outputSummary": "<string>"
}
],
"artifacts": [
{
"id": "<string>",
"kind": "<string>",
"mimeType": "<string>",
"bodySizeBytes": 1,
"redactionStatus": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"metadataSummary": "<string>"
}
]
}
},
"warnings": [
"<string>"
],
"auditId": "<string>"
}
}{
"error": "Invalid credentials"
}{
"ok": true,
"commandId": "<string>",
"commandVersion": 2,
"error": {
"message": "<string>",
"correlationId": "<string>",
"retryable": true,
"details": {}
}
}{
"ok": true,
"commandId": "<string>",
"commandVersion": 2,
"error": {
"message": "<string>",
"correlationId": "<string>",
"retryable": true,
"details": {}
}
}{
"error": "Internal server error"
}{
"ok": true,
"commandId": "<string>",
"commandVersion": 2,
"error": {
"message": "<string>",
"correlationId": "<string>",
"retryable": true,
"details": {}
}
}Platform API
Get agent run
Get safe run details for one configured Outlit agent run. Read-only.
GET
/
api
/
agents
/
{agentId}
/
runs
/
{runId}
Get agent run
Authorizations
Outlit API key using the Bearer ok_... format.
Path Parameters
Agent ID.
Minimum string length:
1Agent run database ID or public run ID.
Minimum string length:
1Was this page helpful?
⌘I